## highlight 3.5

=== debian/changelog ===
highlight (3.5-2) unstable; urgency=low

  * Build with default boost (1.46 currently).

 -- David Bremner <bremner@debian.org>  Sat, 04 Jun 2011 11:27:12 -0300

highlight (3.5-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "highlight --force doesn't work", thanks to Stefan Bühler
    (Closes: #628934).

 -- David Bremner <bremner@debian.org>  Fri, 03 Jun 2011 19:03:23 -0300

=== debian/control ===
Source: highlight
Section: devel
Priority: optional
Maintainer: Ayman Negm <negm@debian.org>
Uploaders: David Bremner <bremner@debian.org>
Build-Depends: debhelper (>= 7.0.50), swig, liblua5.1-0-dev, libboost-dev,
	       pkg-config
Standards-Version: 3.9.2
Homepage: http://www.andre-simon.de
Vcs-Git: git://git.debian.org/collab-maint/highlight.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/highlight.git;a=summary

Package: highlight
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, highlight-common (= ${source:Version})
Description: Universal source code to formatted text converter
 A utility that converts sourcecode to HTML, XHTML, RTF, LaTeX, TeX,
 SVG, XML or terminal escape sequences with syntax highlighting.  It
 supports several programming and markup languages.  Language
 descriptions are configurable and support regular expressions.  The
 utility offers indentation and reformatting capabilities.  It is
 easily possible to create new language definitions and colour themes.

Package: highlight-common
Architecture: all
Depends:  ${misc:Depends}
Breaks: highlight (<<3.2), libhighlight-perl (<<3.2), gtk-doc-tools (<< 1.17-2)
Replaces: highlight (<<2.9)
Description: source code to formatted text converter (architecture independent files)
 A utility that converts sourcecode to HTML, XHTML, RTF, LaTeX, TeX,
 SVG, XML or terminal escape sequences with syntax highlighting.  It
 supports several programming and markup languages.  Language
 descriptions are configurable and support regular expressions.  The
 utility offers indentation and reformatting capabilities.  It is
 easily possible to create new language definitions and colour themes.
 .
 These are the architecture independent files.

Package: libhighlight-perl
Architecture: any
Section: perl
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}, highlight-common (= ${source:Version})
Description: perl bindings for highlight source code to formatted text converter
 A utility that converts sourcecode to HTML, XHTML, RTF, LaTeX, TeX,
 SVG, XML or terminal escape sequences with syntax highlighting.  It
 supports several programming and markup languages.  Language
 descriptions are configurable and support regular expressions.  The
 utility offers indentation and reformatting capabilities.  It is
 easily possible to create new language definitions and colour themes.
 This package contains the perl bindings.

=== debian/rules ===
#!/usr/bin/make -f
UPSTREAMTAG=upstream/3.3
SOURCEPKG=$(shell dpkg-parsechangelog | sed  -n 's/^Source: \(.*\)/\1/p')
UPSTREAM=$(shell dpkg-parsechangelog |  sed -n 's/^Version: \(.*\)-[^-]*/\1/p')
ORIG=${SOURCEPKG}_${UPSTREAM}.orig.tar.bz2

%: 
	dh $@

override_dh_auto_build:
	$(MAKE) -C examples/swig perl
	$(MAKE) -C src clean
	$(MAKE)	LUA_LIBS=-llua5.1

get-orig-source: 
	git archive --format=tar ${UPSTREAMTAG} | bzip2 -9 > ../${ORIG}

## highlight 3.6

=== debian/changelog ===
highlight (3.6-1) unstable; urgency=low

  * New upstream release
  * Drop patch "character literal breaks highlight", now upstream.
  * Patch: Make compilation flags for perl extension match perl. Thanks
    to Joey Hess for the report, Gregor Herrmann for the fix (Closes: #649759).

 -- David Bremner <bremner@debian.org>  Sun, 27 Nov 2011 09:28:11 -0800

highlight (3.5-3) unstable; urgency=low

  * Cherry pick fix: "character literal breaks highlight", thanks to
    kakadu for reporting.  (Closes: #639777). Thanks to André Simon for
    the fast fix.

 -- David Bremner <bremner@debian.org>  Wed, 31 Aug 2011 21:53:11 -0300

## highlight 3.7

=== src/w32-projects/highlight_gui/Makefile ===
#############################################################################
# Makefile for building: highlight-gui
# Generated by qmake (2.01a) (Qt 4.7.3) on: Mi 31. Aug 00:33:09 2011
# Project:  highlight.pro
# Template: app
# Command: d:\devel\qt-static-4.7.3\bin\qmake.exe -spec d:\Devel\qt-static-4.7.3\mkspecs\win32-g++ -o Makefile highlight.pro
#############################################################################

first: release
install: release-install
uninstall: release-uninstall
MAKEFILE      = Makefile
QMAKE         = d:\devel\qt-static-4.7.3\bin\qmake.exe
DEL_FILE      = del
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
COPY          = copy /y
COPY_FILE     = $(COPY)
COPY_DIR      = xcopy /s /q /y /i
INSTALL_FILE  = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = del
SYMLINK       = 
DEL_DIR       = rmdir
MOVE          = move
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
SUBTARGETS    =  \
		release \
		debug

release: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release
release-make_default: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release 
release-make_first: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release first
release-all: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release all
release-clean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release clean
release-distclean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release distclean
release-install: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release install
release-uninstall: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release uninstall
debug: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug
debug-make_default: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug 
debug-make_first: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug first
debug-all: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug all
debug-clean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug clean
debug-distclean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug distclean
debug-install: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug install
debug-uninstall: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug uninstall

Makefile: highlight.pro  d:/Devel/qt-static-4.7.3/mkspecs/win32-g++/qmake.conf d:/Devel/qt-static-4.7.3/mkspecs/qconfig.pri \
		d:/Devel/qt-static-4.7.3/mkspecs/features/qt_functions.prf \
		d:/Devel/qt-static-4.7.3/mkspecs/features/qt_config.prf \
		d:/Devel/qt-static-4.7.3/mkspecs/features/exclusive_builds.prf \
		d:/Devel/qt-static-4.7.3/mkspecs/features/default_pre.prf \
		d:/Devel/qt-static-4.7.3/mkspecs/features/win32/default_pre.prf \
		d:/Devel/qt-static-4.7.3/mkspecs/features/release.prf \
		d:/Devel/qt-static-4.7.3/mkspecs/features/debug_and_release.prf \
		d:/Devel/qt-static-4.7.3/mkspecs/features/default_post.prf \
		d:/Devel/qt-static-4.7.3/mkspecs/features/win32/default_post.prf \
		d:/Devel/qt-static-4.7.3/mkspecs/features/static.prf \
		d:/Devel/qt-static-4.7.3/mkspecs/features/win32/exceptions.prf \
		d:/Devel/qt-static-4.7.3/mkspecs/features/win32/stl.prf \
		d:/Devel/qt-static-4.7.3/mkspecs/features/warn_on.prf \
		d:/Devel/qt-static-4.7.3/mkspecs/features/qt.prf \
		d:/Devel/qt-static-4.7.3/mkspecs/features/win32/thread.prf \
		d:/Devel/qt-static-4.7.3/mkspecs/features/moc.prf \
		d:/Devel/qt-static-4.7.3/mkspecs/features/win32/windows.prf \
		d:/Devel/qt-static-4.7.3/mkspecs/features/win32/rtti_off.prf \
		d:/Devel/qt-static-4.7.3/mkspecs/features/resources.prf \
		d:/Devel/qt-static-4.7.3/mkspecs/features/uic.prf \
		d:/Devel/qt-static-4.7.3/mkspecs/features/yacc.prf \
		d:/Devel/qt-static-4.7.3/mkspecs/features/lex.prf \
		d:/Devel/qt-static-4.7.3/mkspecs/features/include_source_dir.prf \
		d:/Devel/qt-static-4.7.3/lib/qtmain.prl \
		d:/Devel/qt-static-4.7.3/lib/QtGui.prl \
		d:/Devel/qt-static-4.7.3/lib/QtCore.prl
	$(QMAKE) -spec d:\Devel\qt-static-4.7.3\mkspecs\win32-g++ -o Makefile highlight.pro
d:\Devel\qt-static-4.7.3\mkspecs\qconfig.pri:
d:\Devel\qt-static-4.7.3\mkspecs\features\qt_functions.prf:
d:\Devel\qt-static-4.7.3\mkspecs\features\qt_config.prf:
d:\Devel\qt-static-4.7.3\mkspecs\features\exclusive_builds.prf:
d:\Devel\qt-static-4.7.3\mkspecs\features\default_pre.prf:
d:\Devel\qt-static-4.7.3\mkspecs\features\win32\default_pre.prf:
d:\Devel\qt-static-4.7.3\mkspecs\features\release.prf:
d:\Devel\qt-static-4.7.3\mkspecs\features\debug_and_release.prf:
d:\Devel\qt-static-4.7.3\mkspecs\features\default_post.prf:
d:\Devel\qt-static-4.7.3\mkspecs\features\win32\default_post.prf:
d:\Devel\qt-static-4.7.3\mkspecs\features\static.prf:
d:\Devel\qt-static-4.7.3\mkspecs\features\win32\exceptions.prf:
d:\Devel\qt-static-4.7.3\mkspecs\features\win32\stl.prf:
d:\Devel\qt-static-4.7.3\mkspecs\features\warn_on.prf:
d:\Devel\qt-static-4.7.3\mkspecs\features\qt.prf:
d:\Devel\qt-static-4.7.3\mkspecs\features\win32\thread.prf:
d:\Devel\qt-static-4.7.3\mkspecs\features\moc.prf:
d:\Devel\qt-static-4.7.3\mkspecs\features\win32\windows.prf:
d:\Devel\qt-static-4.7.3\mkspecs\features\win32\rtti_off.prf:
d:\Devel\qt-static-4.7.3\mkspecs\features\resources.prf:
d:\Devel\qt-static-4.7.3\mkspecs\features\uic.prf:
d:\Devel\qt-static-4.7.3\mkspecs\features\yacc.prf:
d:\Devel\qt-static-4.7.3\mkspecs\features\lex.prf:
d:\Devel\qt-static-4.7.3\mkspecs\features\include_source_dir.prf:
d:\Devel\qt-static-4.7.3\lib\qtmain.prl:
d:\Devel\qt-static-4.7.3\lib\QtGui.prl:
d:\Devel\qt-static-4.7.3\lib\QtCore.prl:
qmake: qmake_all FORCE
	@$(QMAKE) -spec d:\Devel\qt-static-4.7.3\mkspecs\win32-g++ -o Makefile highlight.pro

qmake_all: FORCE

make_default: release-make_default debug-make_default FORCE
make_first: release-make_first debug-make_first FORCE
all: release-all debug-all FORCE
clean: release-clean debug-clean FORCE
	-$(DEL_FILE) precomp.h.gch\c
	-$(DEL_FILE) precomp.h.gch\c++
distclean: release-distclean debug-distclean FORCE
	-$(DEL_FILE) Makefile

check: first

release-mocclean: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocclean
debug-mocclean: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocclean
mocclean: release-mocclean debug-mocclean

release-mocables: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocables
debug-mocables: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocables
mocables: release-mocables debug-mocables
FORCE:

$(MAKEFILE).Release: Makefile
$(MAKEFILE).Debug: Makefile

=== debian/changelog ===
highlight (3.7-2) unstable; urgency=low

  * Put back missing patch for perl compilation flags
    thanks to Joey Hess for reporting (Closes: #657901).

 -- David Bremner <bremner@debian.org>  Sun, 29 Jan 2012 15:39:19 -0400

highlight (3.7-1) unstable; urgency=low

  * New upstream release.

 -- David Bremner <bremner@debian.org>  Thu, 26 Jan 2012 22:40:15 -0400

## highlight 3.8

=== src/w32-projects/highlight_cli/Makefile ===
#############################################################################
# Makefile for building: highlight
# Generated by qmake (2.01a) (Qt 4.7.3) on: Mo 20. Jun 21:06:04 2011
# Project:  highlight_cli.pro
# Template: app
# Command: d:\devel\qtsdk\desktop\qt\4.7.3\mingw\bin\qmake.exe -spec d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\win32-g++ CONFIG+=release -o Makefile highlight_cli.pro
#############################################################################

first: release
install: release-install
uninstall: release-uninstall
MAKEFILE      = Makefile
QMAKE         = d:\devel\qtsdk\desktop\qt\4.7.3\mingw\bin\qmake.exe
DEL_FILE      = del
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
COPY          = copy /y
COPY_FILE     = $(COPY)
COPY_DIR      = xcopy /s /q /y /i
INSTALL_FILE  = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = del
SYMLINK       = 
DEL_DIR       = rmdir
MOVE          = move
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
SUBTARGETS    =  \
		release \
		debug

release: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release
release-make_default: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release 
release-make_first: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release first
release-all: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release all
release-clean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release clean
release-distclean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release distclean
release-install: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release install
release-uninstall: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release uninstall
debug: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug
debug-make_default: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug 
debug-make_first: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug first
debug-all: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug all
debug-clean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug clean
debug-distclean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug distclean
debug-install: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug install
debug-uninstall: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug uninstall

Makefile: highlight_cli.pro  d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/win32-g++/qmake.conf d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/qconfig.pri \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/modules/qt_webkit_version.pri \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/qt_functions.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/qt_config.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/exclusive_builds.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/default_pre.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/default_pre.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/release.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/debug_and_release.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/default_post.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/default_post.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/console.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/rtti.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/exceptions.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/stl.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/shared.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/warn_on.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/qt.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/thread.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/moc.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/resources.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/uic.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/yacc.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/lex.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/include_source_dir.prf
	$(QMAKE) -spec d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\win32-g++ CONFIG+=release -o Makefile highlight_cli.pro
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\qconfig.pri:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\modules\qt_webkit_version.pri:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\qt_functions.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\qt_config.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\exclusive_builds.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\default_pre.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\win32\default_pre.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\release.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\debug_and_release.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\default_post.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\win32\default_post.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\win32\console.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\win32\rtti.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\win32\exceptions.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\win32\stl.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\shared.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\warn_on.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\qt.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\win32\thread.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\moc.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\resources.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\uic.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\yacc.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\lex.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -spec d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\win32-g++ CONFIG+=release -o Makefile highlight_cli.pro

qmake_all: FORCE

make_default: release-make_default debug-make_default FORCE
make_first: release-make_first debug-make_first FORCE
all: release-all debug-all FORCE
clean: release-clean debug-clean FORCE
distclean: release-distclean debug-distclean FORCE
	-$(DEL_FILE) Makefile

check: first

release-mocclean: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocclean
debug-mocclean: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocclean
mocclean: release-mocclean debug-mocclean

release-mocables: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocables
debug-mocables: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocables
mocables: release-mocables debug-mocables
FORCE:

$(MAKEFILE).Release: Makefile
$(MAKEFILE).Debug: Makefile

=== src/w32-projects/highlight_gui/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: highlight-gui
-# Generated by qmake (2.01a) (Qt 4.7.3) on: Mi 31. Aug 00:33:09 2011
+# Generated by qmake (2.01a) (Qt 4.7.3) on: Di 28. Feb 20:11:42 2012
 # Project:  highlight.pro
 # Template: app
 # Command: d:\devel\qt-static-4.7.3\bin\qmake.exe -spec d:\Devel\qt-static-4.7.3\mkspecs\win32-g++ -o Makefile highlight.pro

=== src/w32-projects/highlight_lib/Makefile ===
#############################################################################
# Makefile for building: libhighlight
# Generated by qmake (2.01a) (Qt 4.7.3) on: Mi 31. Aug 00:32:32 2011
# Project:  highlight_lib.pro
# Template: lib
# Command: d:\devel\qtsdk\desktop\qt\4.7.3\mingw\bin\qmake.exe -spec d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\win32-g++ CONFIG+=release -o Makefile highlight_lib.pro
#############################################################################

first: release
install: release-install
uninstall: release-uninstall
MAKEFILE      = Makefile
QMAKE         = d:\devel\qtsdk\desktop\qt\4.7.3\mingw\bin\qmake.exe
DEL_FILE      = del
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
COPY          = copy /y
COPY_FILE     = $(COPY)
COPY_DIR      = xcopy /s /q /y /i
INSTALL_FILE  = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = del
SYMLINK       = 
DEL_DIR       = rmdir
MOVE          = move
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
SUBTARGETS    =  \
		release \
		debug

release: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release
release-make_default: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release 
release-make_first: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release first
release-all: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release all
release-clean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release clean
release-distclean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release distclean
release-install: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release install
release-uninstall: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release uninstall
debug: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug
debug-make_default: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug 
debug-make_first: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug first
debug-all: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug all
debug-clean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug clean
debug-distclean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug distclean
debug-install: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug install
debug-uninstall: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug uninstall

Makefile: highlight_lib.pro  d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/win32-g++/qmake.conf d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/qconfig.pri \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/modules/qt_webkit_version.pri \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/qt_functions.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/qt_config.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/exclusive_builds.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/default_pre.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/default_pre.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/release.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/debug_and_release.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/default_post.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/default_post.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/exceptions.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/staticlib.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/static.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/rtti.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/stl.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/warn_on.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/qt.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/thread.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/moc.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/windows.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/resources.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/uic.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/yacc.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/lex.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/include_source_dir.prf
	$(QMAKE) -spec d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\win32-g++ CONFIG+=release -o Makefile highlight_lib.pro
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\qconfig.pri:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\modules\qt_webkit_version.pri:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\qt_functions.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\qt_config.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\exclusive_builds.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\default_pre.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\win32\default_pre.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\release.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\debug_and_release.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\default_post.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\win32\default_post.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\win32\exceptions.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\staticlib.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\static.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\win32\rtti.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\win32\stl.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\warn_on.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\qt.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\win32\thread.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\moc.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\win32\windows.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\resources.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\uic.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\yacc.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\lex.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -spec d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\win32-g++ CONFIG+=release -o Makefile highlight_lib.pro

qmake_all: FORCE

make_default: release-make_default debug-make_default FORCE
make_first: release-make_first debug-make_first FORCE
all: release-all debug-all FORCE
clean: release-clean debug-clean FORCE
distclean: release-distclean debug-distclean FORCE
	-$(DEL_FILE) Makefile

check: first

release-mocclean: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocclean
debug-mocclean: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocclean
mocclean: release-mocclean debug-mocclean

release-mocables: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocables
debug-mocables: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocables
mocables: release-mocables debug-mocables
FORCE:

$(MAKEFILE).Release: Makefile
$(MAKEFILE).Debug: Makefile

=== debian/changelog ===
highlight (3.8-2) unstable; urgency=low

  * remove faulty postrm; this script caused a file owned by
    highlight-common to be removed when highlight is removed.
    This is related to, but does not fix #662748.

 -- David Bremner <bremner@debian.org>  Tue, 06 Mar 2012 09:59:41 -0400

highlight (3.8-1) unstable; urgency=low

  * New upstream release
    - removed patch to SWIG perl binding, now upstream
    - Bug fix: "Shebang regexes to cover more use cases", thanks to Georgios
      M. Zarkadas (Closes: #659384).
    - Bug fix: "Shebangs match the entire first line and not the start of
      it", thanks to Georgios M. Zarkadas (Closes: #659325).
    - Bug fix: "HLCmdLineApp::getFileSuffix should search for dots only in
      basename of the argument", thanks to Georgios M. Zarkadas
      (Closes: #661072).
    -fixed memory leak in astyle's SSFormatter (patch by MENG Wei)
  * Bump Standards-Version to 3.9.3, no changes.

 -- David Bremner <bremner@debian.org>  Sun, 04 Mar 2012 20:23:43 -0400

## highlight 3.9

=== src/w32-projects/highlight_cli/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: highlight
-# Generated by qmake (2.01a) (Qt 4.7.3) on: Mo 20. Jun 21:06:04 2011
+# Generated by qmake (2.01a) (Qt 4.7.3) on: Di 1. Mai 12:22:02 2012
 # Project:  highlight_cli.pro
 # Template: app
 # Command: d:\devel\qtsdk\desktop\qt\4.7.3\mingw\bin\qmake.exe -spec d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\win32-g++ CONFIG+=release -o Makefile highlight_cli.pro

=== src/w32-projects/highlight_gui/Makefile ===
#############################################################################
# Makefile for building: highlight-gui
# Generated by qmake (2.01a) (Qt 4.7.3) on: Di 1. Mai 13:22:03 2012
# Project:  highlight.pro
# Template: app
# Command: d:\devel\qtsdk\desktop\qt\4.7.3\mingw\bin\qmake.exe -spec d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\win32-g++ CONFIG+=release -o Makefile highlight.pro
#############################################################################

first: release
install: release-install
uninstall: release-uninstall
MAKEFILE      = Makefile
QMAKE         = d:\devel\qtsdk\desktop\qt\4.7.3\mingw\bin\qmake.exe
DEL_FILE      = del
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
COPY          = copy /y
COPY_FILE     = $(COPY)
COPY_DIR      = xcopy /s /q /y /i
INSTALL_FILE  = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = del
SYMLINK       = 
DEL_DIR       = rmdir
MOVE          = move
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
SUBTARGETS    =  \
		release \
		debug

release: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release
release-make_default: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release 
release-make_first: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release first
release-all: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release all
release-clean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release clean
release-distclean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release distclean
release-install: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release install
release-uninstall: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release uninstall
debug: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug
debug-make_default: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug 
debug-make_first: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug first
debug-all: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug all
debug-clean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug clean
debug-distclean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug distclean
debug-install: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug install
debug-uninstall: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug uninstall

Makefile: highlight.pro  d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/win32-g++/qmake.conf d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/qconfig.pri \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/modules/qt_webkit_version.pri \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/qt_functions.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/qt_config.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/exclusive_builds.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/default_pre.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/default_pre.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/release.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/debug_and_release.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/default_post.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/default_post.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/static.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/rtti.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/exceptions.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/stl.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/warn_on.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/qt.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/thread.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/moc.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/windows.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/resources.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/uic.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/yacc.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/lex.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/mkspecs/features/include_source_dir.prf \
		d:/Devel/QTSDK/Desktop/Qt/4.7.3/mingw/lib/qtmain.prl
	$(QMAKE) -spec d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\win32-g++ CONFIG+=release -o Makefile highlight.pro
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\qconfig.pri:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\modules\qt_webkit_version.pri:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\qt_functions.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\qt_config.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\exclusive_builds.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\default_pre.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\win32\default_pre.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\release.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\debug_and_release.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\default_post.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\win32\default_post.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\static.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\win32\rtti.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\win32\exceptions.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\win32\stl.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\warn_on.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\qt.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\win32\thread.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\moc.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\win32\windows.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\resources.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\uic.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\yacc.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\lex.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\features\include_source_dir.prf:
d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\lib\qtmain.prl:
qmake: qmake_all FORCE
	@$(QMAKE) -spec d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\win32-g++ CONFIG+=release -o Makefile highlight.pro

qmake_all: FORCE

make_default: release-make_default debug-make_default FORCE
make_first: release-make_first debug-make_first FORCE
all: release-all debug-all FORCE
clean: release-clean debug-clean FORCE
	-$(DEL_FILE) precomp.h.gch\c
	-$(DEL_FILE) precomp.h.gch\c++
distclean: release-distclean debug-distclean FORCE
	-$(DEL_FILE) Makefile

check: first

release-mocclean: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocclean
debug-mocclean: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocclean
mocclean: release-mocclean debug-mocclean

release-mocables: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocables
debug-mocables: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocables
mocables: release-mocables debug-mocables
FORCE:

$(MAKEFILE).Release: Makefile
$(MAKEFILE).Debug: Makefile

=== src/w32-projects/highlight_lib/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: libhighlight
-# Generated by qmake (2.01a) (Qt 4.7.3) on: Mi 31. Aug 00:32:32 2011
+# Generated by qmake (2.01a) (Qt 4.7.3) on: Di 1. Mai 12:14:54 2012
 # Project:  highlight_lib.pro
 # Template: lib
 # Command: d:\devel\qtsdk\desktop\qt\4.7.3\mingw\bin\qmake.exe -spec d:\Devel\QTSDK\Desktop\Qt\4.7.3\mingw\mkspecs\win32-g++ CONFIG+=release -o Makefile highlight_lib.pro

=== debian/changelog ===
highlight (3.9-1build1) devel; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 20 Oct 2013 21:31:10 +0100

highlight (3.9-1) unstable; urgency=low

  * New upstream release.
    - updated plugin interface
    - ctags plugin
    - improved perl and N3 definitions

 -- David Bremner <bremner@debian.org>  Wed, 23 May 2012 13:31:10 -0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: David Bremner <bremner@debian.org>
 Build-Depends: debhelper (>= 7.0.50), swig, liblua5.1-0-dev, libboost-dev,
 	       pkg-config
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.andre-simon.de
 Vcs-Git: git://git.debian.org/collab-maint/highlight.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/highlight.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,9 @@
 get-orig-source: 
 	git archive --format=tar ${UPSTREAMTAG} | bzip2 -9 > ../${ORIG}
 
+PATCH_EXPORT_SCRIPT=/usr/share/gitpkg/hooks/quilt-patches-deb-export-hook
+export-patches:
+	[ ! -r debian/patches ] || \
+	grep "^\#.*$(notdir $(PATCH_EXPORT_SCRIPT))" debian/patches/series
+	rm -rf debian/patches
+	bash $(PATCH_EXPORT_SCRIPT)

=== debian/watch ===
version=3
http://www.andre-simon.de/zip/download.html	highlight-(.*)\.tar\.bz2

## highlight 3.18

=== debian/changelog ===
highlight (3.18-3build1) xenial; urgency=medium

  * No-change rebuild against Perl 5.22.1

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 18 Dec 2015 10:10:59 +0100

highlight (3.18-3) unstable; urgency=medium

  * Upload to unstable (Closes: #723688, #723685)

 -- David Bremner <bremner@debian.org>  Fri, 15 Aug 2014 17:36:55 -0700

highlight (3.18-2) experimental; urgency=medium

  * Merge perl related changes from 3.9-1.1

 -- David Bremner <bremner@debian.org>  Sat, 09 Aug 2014 22:04:16 -0300

highlight (3.18-1) experimental; urgency=medium

  * New upstream release
  * upload to experimental because of API changes.

 -- David Bremner <bremner@debian.org>  Thu, 07 Aug 2014 22:25:44 -0300

highlight (3.12+svn83-1) experimental; urgency=low

  * Upstream snapshot.
  * Bug fix: "Segmentation fault with --force command line switch on
    unknown file type.", thanks to Jussi Judin (Closes: #698718).
  * Use debhelper compat level 9
  * Enable hardening flags (several patches added).
  * Bump Standards-Version to 3.9.4, no changes.

 -- David Bremner <bremner@debian.org>  Sat, 26 Jan 2013 14:39:00 -0400

highlight (3.9-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "hardcodes /usr/lib/perl5":
    - make debian/libhighlight-perl.install executable and use
      $Config{vendorarch} there
    - use debhelper (compat level) 9
    (Closes: #752347)

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 Aug 2014 17:41:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Ayman Negm <negm@debian.org>
 Uploaders: David Bremner <bremner@debian.org>
-Build-Depends: debhelper (>= 7.0.50), swig, liblua5.1-0-dev, libboost-dev,
+Build-Depends: debhelper (>= 9), swig, liblua5.2-dev, libboost-dev,
 	       pkg-config
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.andre-simon.de
 Vcs-Git: git://git.debian.org/collab-maint/highlight.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/highlight.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f
UPSTREAMTAG=upstream/3.3
SOURCEPKG=$(shell dpkg-parsechangelog | sed  -n 's/^Source: \(.*\)/\1/p')
UPSTREAM=$(shell dpkg-parsechangelog |  sed -n 's/^Version: \(.*\)-[^-]*/\1/p')
ORIG=${SOURCEPKG}_${UPSTREAM}.orig.tar.bz2

%: 
	dh $@

override_dh_auto_build:
	$(MAKE) -C examples/swig perl
	$(MAKE) -C src clean
	$(MAKE)	LUA_LIBS=-llua5.2

get-orig-source: 
	git archive --format=tar ${UPSTREAMTAG} | bzip2 -9 > ../${ORIG}

## highlight 3.38

=== debian/changelog ===
highlight (3.38-1build1) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 19:52:23 +0000

highlight (3.38-1) unstable; urgency=medium

  * New upstream version
  * Drop uploader with no uploads since 2010
  * Use https for Vcs-*
  * use debhelper compat level 10
  * Assert compliance with policy 4.0.0

 -- David Bremner <bremner@debian.org>  Sun, 02 Jul 2017 17:49:51 -0300

## highlight 3.39

=== debian/changelog ===
highlight (3.39-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #875886).
    + Let dh_auto_build pass cross tools to make.
    + make pkg-config substitutable for cross compilation
  [ David Bremner ]
  * new upstream version

 -- David Bremner <bremner@debian.org>  Sun, 15 Oct 2017 09:11:33 -0300

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,9 @@
 	dh $@
 
 override_dh_auto_build:
-	$(MAKE) -C examples/swig perl
-	$(MAKE) -C src clean
-	$(MAKE)	LUA_LIBS=-llua5.2
+	dh_auto_build --sourcedirectory=examples/swig -- perl
+	dh_auto_build --sourcedirectory=src -- clean
+	dh_auto_build -- LUA_LIBS=-llua5.2
 
 get-orig-source: 
 	git archive --format=tar ${UPSTREAMTAG} | bzip2 -9 > ../${ORIG}

## highlight 3.41

=== debian/changelog ===
highlight (3.41-2build3) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:43:46 +0100

highlight (3.41-2build2) focal; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 19:21:11 +0000

highlight (3.41-2build1) disco; urgency=medium

  * No-change rebuild for the perl 5.28 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Nov 2018 12:33:33 -0600

highlight (3.41-2) unstable; urgency=medium

  * Fix location of examples (Closes: #904727).
  * Fix Vcs-* to point to salsa

 -- David Bremner <bremner@debian.org>  Fri, 27 Jul 2018 17:25:44 +0800

highlight (3.41-1) unstable; urgency=medium

  * New upstream release
  * Upstream now includes a patch from James Clark to fix sparc64 (and other)
    builds (Closes: #687740).

 -- David Bremner <bremner@debian.org>  Sun, 03 Dec 2017 13:12:56 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: highlight
 Section: devel
 Priority: optional
-Maintainer: Ayman Negm <negm@debian.org>
-Uploaders: David Bremner <bremner@debian.org>
-Build-Depends: debhelper (>= 9), swig, liblua5.2-dev, libboost-dev,
+Maintainer: David Bremner <bremner@debian.org>
+Build-Depends: debhelper (>= 10), swig, liblua5.2-dev, libboost-dev,
 	       pkg-config
-Standards-Version: 3.9.4
+Standards-Version: 4.0.0
 Homepage: http://www.andre-simon.de
-Vcs-Git: git://git.debian.org/collab-maint/highlight.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/highlight.git;a=summary
+Vcs-Git: https://salsa.debian.org/bremner/highlight.git
+Vcs-Browser: https://salsa.debian.org/bremner/highlight.git
+
 
 Package: highlight
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	dh $@
 
 override_dh_auto_build:
-	dh_auto_build --sourcedirectory=examples/swig -- perl
+	dh_auto_build --sourcedirectory=extras/swig -- perl
 	dh_auto_build --sourcedirectory=src -- clean
 	dh_auto_build -- LUA_LIBS=-llua5.2

## highlight 4.7

=== debian/changelog ===
highlight (4.7-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Unit 193 <unit193@debian.org>  Wed, 23 Aug 2023 06:56:04 -0400

highlight (4.7-1) unstable; urgency=medium

  * QA upload.  Thanks, David Bremner, for maintaining this over the years.
  * New upstream version 4.7.
    - Refresh patches.
  * d/p/0001-debcherry-fixup-patch.patch: Use the 'lua' alternative.
  * d/compat, d/control: Replace d/compat with debhelper-compat, bump to 13.
  * d/control:
    - R³: no.
    - Replace liblua5.2-dev B-D with liblua5.4-dev.
  * d/*.(docs,examples,install,manpages):
    - Update paths, removing files dropped upstream.
  * d/highlight-common.install: Install plugins and completions.
  * d/highlight.manpages: Install filetypes.conf.5.
  * d/not-installed: Add otherwise installed yet extraneous files.
  * d/rules:
    - Drop get-orig-source target.
    - Override dh_installchangelogs to install ChangeLog.adoc.
    - Enable all hardening options.
    - Pass LUA_LIBS=-llua5.4.
  * Update Standards-Version to 4.6.2.
  * Remove trailing whitespace from previous changelog entries.

 -- Unit 193 <unit193@debian.org>  Thu, 17 Aug 2023 19:36:04 -0400

highlight (3.41-3) unstable; urgency=medium

  * Orphan package
  * Set Vcs-* to debian group on salsa

 -- David Bremner <bremner@debian.org>  Tue, 08 Aug 2023 21:08:17 -0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: highlight
 Section: devel
 Priority: optional
-Maintainer: David Bremner <bremner@debian.org>
-Build-Depends: debhelper (>= 10), swig, liblua5.2-dev, libboost-dev,
-	       pkg-config
-Standards-Version: 4.0.0
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13), swig, liblua5.4-dev, libboost-dev,
+               pkg-config
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 Homepage: http://www.andre-simon.de
-Vcs-Git: https://salsa.debian.org/bremner/highlight.git
-Vcs-Browser: https://salsa.debian.org/bremner/highlight.git
+Vcs-Git: https://salsa.debian.org/debian/highlight.git
+Vcs-Browser: https://salsa.debian.org/debian/highlight.git
 
 
 Package: highlight
@@ -23,7 +24,7 @@
 
 Package: highlight-common
 Architecture: all
-Depends:  ${misc:Depends}
+Depends: ${misc:Depends}
 Breaks: highlight (<<3.2), libhighlight-perl (<<3.2), gtk-doc-tools (<< 1.17-2)
 Replaces: highlight (<<2.9)
 Description: source code to formatted text converter (architecture independent files)

## highlight 4.10

=== debian/changelog ===
highlight (4.10-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:25:14 +0000

highlight (4.10-1build1) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 15:48:42 +0100

highlight (4.10-1) unstable; urgency=medium

  * New upstream version 4.10
  * New maintainer (Closes: #1022114)
  * Add d/missing-sources/(link.svg, github-markdown.css)
  * d/copyright:
    - Add new maintainer to copyright
    - Convert copyright to DEP5 format
    - Remove stanzas for files that no longer exist
    - Add copyright stanzas for missing-sources
    - Update copyright years
  * d/control:
    - Add new maintainer's name to Maintainer field
    - Update VCS-Browser field to canonical URI
    - Replace obsolete build-dep: pkg-config => pkgconf
  * d/p/*: Remove git-debcherry artifacts and follow DEP-3
  * Add debian/upstream/metadata
  * Add d/s/lintian-overrides for missing-sources
  * Add d/p/0004-escape-groff-backslash.patch

 -- Shriram Ravindranathan <s20n@ters.dev>  Tue, 20 Feb 2024 06:41:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: highlight
 Section: devel
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Shriram Ravindranathan <s20n@ters.dev>
 Build-Depends: debhelper-compat (= 13), swig, liblua5.4-dev, libboost-dev,
-               pkg-config
+               pkgconf
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: http://www.andre-simon.de
 Vcs-Git: https://salsa.debian.org/debian/highlight.git
-Vcs-Browser: https://salsa.debian.org/debian/highlight.git
+Vcs-Browser: https://salsa.debian.org/debian/highlight
 
 
 Package: highlight

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build --sourcedirectory=extras/swig -- perl
	dh_auto_build --sourcedirectory=src -- clean
	dh_auto_build -- LUA_LIBS=-llua5.4

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog.adoc
